std::ranges::view_interface< _Derived >(3cxx)

NAME
std::ranges::view_interface< _Derived > - The ranges::view_interface class template.

SYNOPSIS

#include <ranges>

Inherited by , and .

  Public Member Functions

constexpr decltype(auto) back ()
constexpr decltype(auto) back () const
constexpr auto cbegin ()
constexpr auto cbegin () const
constexpr auto cend ()
constexpr auto cend () const
constexpr auto data () const noexcept(noexcept(ranges::begin(_M_derived())))
constexpr auto data () noexcept(noexcept(ranges::begin(_M_derived())))
constexpr bool empty () const noexcept(noexcept(_S_empty(_M_derived())))
constexpr bool empty () const noexcept(noexcept(ranges::size(_M_derived())==0))
constexpr bool empty () noexcept(noexcept(_S_empty(_M_derived())))
constexpr bool empty () noexcept(noexcept(ranges::size(_M_derived())==0))
constexpr decltype(auto) front ()
constexpr decltype(auto) front () const
constexpr operator bool () const noexcept(noexcept(ranges::empty(_M_derived())))
constexpr operator bool () noexcept(noexcept(ranges::empty(_M_derived())))
template<random_access_range _Range = _Derived> constexpr decltype(auto) operator[] (range_difference_t< _Range > __n)
template<random_access_range _Range = const _Derived> constexpr decltype(auto) operator[] (range_difference_t< _Range > __n) const
constexpr auto size () const noexcept(noexcept(_S_size(_M_derived())))
constexpr auto size () noexcept(noexcept(_S_size(_M_derived())))

Detailed Description

  template<typename _Derived>
requires is_class_v<_Derived> && same_as<_Derived, remove_cv_t<_Derived>>
class std::ranges::view_interface< _Derived >"The ranges::view_interface class template.

Author

Generated automatically by Doxygen for libstdc++ from the source code.